/////////////////////////////////////////////////////////////////////////////
//  CLOCK.POV (and CLOCK.INC) by Frank K.H. Zeyer [100020,3551]
//  CLOCK.MDL (the "sourcecode" for MORAY the POV-Modeller also in this ZIP)
//
//  If someone needs a (basic) clock somewhere in his scene, here it is.
//  Read on: 
//  1) There is a REAL Glass over the Clock, 
//           protecting the Clock against all the Dust in Your Monitor :-) 
//           Commenting out these lines renders 'bout 3-4 times faster !!!
//  2) Replace (best within MORAY) the Textures or chipers to fit 
//           YOUR needs or ideas how a Clock should look. Same with lights...
//  3) I made this thing only within 1 HOUR (playing around a bit), so this  
//           shows, how GREAT Moray 1.3 is !!! Thanks to Lutz. Weiter so.
//  4) I uploaded the 320x200 TGA file as CLOCK.TGA for fast preview.
//
/////////////////////////////////////////////////////////////////////////////

//  Persistance of Vision Raytracer V1.0
//  World definition file.
//
//  Contains 2 lights, 4 textures and 40 primitives.
//
//  This file was generated for POV-Ray V1.0 by
//  MORAY.EXE (c) '91 '92 '93 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 07/18/1993    (18.07.1993)
//

//
//  This is MORAY's default standard include file for POV.
//  called MRYDEFLT.INC
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
camera {  //  Camera StdCam
  location  <-23.918 -50.656 -16.316>
  direction <0.0  0.0  2.4880>
  sky       <0.0  0.0  1.0>  // Use right handed-system!
  up        <0.0  0.0  1.0>  // Where Z is up
  right     <1.3333  0.0  0.0>
  look_at   <0.000 0.000 0.000>
}

// *******  L I G H T S *******
object {   // Light source Light1
  light_source {
    <0.000 -80.000 30.000>
    color  red 0.675 green 0.675 blue 0.675
  }
}

object {   // Light source SpotL001
  light_source {
    <-15.465 -60.846 27.692>
    color  red 0.945 green 0.945 blue 0.945
    spotlight
      point_at  <-15.298 -59.980 27.221>
      falloff   26.2  // outer radius (in deg)
      radius    11.8  // inner radius
      tightness 10  // 1=smooth, 100=tight
  }
}


//
// ********  T E X T U R E S  *******
//

#include "CLOCK.INC"

// ********  O B J E C T S *******
#declare Bound3 = intersection {
  box { UnitBox 
  scale <1.050000 0.100000 6.750000>
  translate <0.000000 0.000000 3.500000>
  }
}

#declare Cone3 = intersection {
  quadric { QCone_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  scale <1.000000 0.050000 10.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <0.000000 0.000000 10.000000>
}

#declare Cone4 = intersection {
  quadric { QCone_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  scale <1.000000 0.050000 3.000000>
  translate <0.000000 0.000000 -3.000000>
}

composite {   // Hour
  object { intersection { Cone3 } }
  object { intersection { Cone4 } }
  bounded_by { intersection { Bound3 } }
  scale <1.000000 1.000000 0.700000>
  rotate <-0.000000 -272.500000 -0.000000>
  translate <0.000000 -0.250000 0.000000>
}
#declare Bound002 = intersection {
  box { UnitBox 
  scale <1.050000 0.100000 6.750000>
  translate <0.000000 0.000000 3.500000>
  }
}

#declare Cone1 = intersection {
  quadric { QCone_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  scale <1.000000 0.050000 10.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <0.000000 0.000000 10.000000>
}

#declare Cone2 = intersection {
  quadric { QCone_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  scale <1.000000 0.050000 3.000000>
  translate <0.000000 0.000000 -3.000000>
}

composite {   // Minute
  object { intersection { Cone1 } }
  object { intersection { Cone2 } }
  bounded_by { intersection { Bound002 } }
  rotate <-0.000000 -30.000000 -0.000000>
  translate <0.000000 -0.500000 0.000000>
}
#declare Bound001 = intersection {
  box { UnitBox 
  scale <12.100000 1.600000 12.100000>
  translate <0.000000 0.250000 0.000000>
  }
}

#declare cipher = intersection {
  quadric { Cylinder_Z
  texture {
    Brass_Valley
    scale <0.200000 0.200000 0.200000>
  }
  }
  plane { <0 0 -1> 0
  texture {
    Brass_Valley
    scale <0.200000 0.200000 0.200000>
  }
  }
  plane { <0 0 +1> 1
  texture {
    Brass_Valley
    scale <0.200000 0.200000 0.200000>
  }
  }
  scale <11.500000 11.500000 1.000000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 0.300000 0.000000>
}

#declare Body_outside = intersection {
  quartic {
           // Torus MinRadius=   0.500   MajRadius=  11.500 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -265.000
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -265.000    0.000   0.000   0.000   0.000
             1.000   0.000   264.000  0.000   17424.000 >
  texture {
    SuperGold
  }
  }
  scale <1.000000 1.000000 3.000000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 0.250000 0.000000>
}

composite {   // Body
  object { intersection { cipher } }
  object { intersection { Body_outside } }
  bounded_by { intersection { Bound001 } }
}
#declare AxleMBound = intersection {
  box { UnitBox 
  scale <1.100000 1.100000 0.520000>
  }
}

object {   // Axle
  intersection {
  quadric { Cylinder_Z
  texture {
    Axle_tex
  }
  }
  plane { <0 0 -1> 0
  texture {
    Axle_tex
  }
  }
  plane { <0 0 +1> 1
  texture {
    Axle_tex
  }
  }
  }
  bounded_by { intersection { AxleMBound } }
  scale <0.250000 0.250000 1.000000>
  rotate <-90.000000 -0.000000 -0.000014>
  translate <0.000000 -0.600000 0.000000>
}

#declare Bound003 = intersection {
  box { UnitBox 
  scale <11.600000 1.100000 11.600000>
  translate <0.000000 -1.250000 0.000000>
  }
}

#declare Glas = intersection { 
  quadric { Sphere 
  texture {
    Glass
  }
  }
  scale <11.500000 1.000000 11.500000>
  translate <0.000000 -1.250000 0.000000>
}

#declare Glas1 = intersection { 
  quadric { Sphere 
  texture {
    Glass
  }
  }
  scale <11.500000 1.000000 11.550000>
  translate <-0.078306 -1.100000 0.000000>
}

object {
  difference {
  intersection { Glas }
  intersection { Glas1 }
  }
  bounded_by { intersection { Bound003 } }
}

#declare cibnd = intersection {
  box { UnitBox 
  scale <0.300000 1.100000 2.000000>
  translate <0.000000 0.000000 0.813000>
  }
}

#declare cisph2 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 2.438000>
}

#declare cisph4 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl1 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 3.251000>
  translate <0.000000 0.000000 -0.813000>
}

#declare cicyl2 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl3 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 2.438000>
}

object {
  union {
  intersection { cisph2 }
  intersection { cisph4 }
  intersection { cicyl1 }
  intersection { cicyl2 }
  intersection { cicyl3 }
  }
  bounded_by { intersection { cibnd } }
  scale <0.900000 0.900000 0.900000>
  rotate <-0.000000 -0.000000 -90.000000>
  translate <-0.500000 0.170000 8.000000>
}

#declare cibnd1 = intersection {
  box { UnitBox 
  scale <0.300000 1.100000 2.000000>
  translate <0.000000 0.000000 0.813000>
  }
}

#declare cisph5 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 2.438000>
}

#declare cisph6 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 2.438000>
}

#declare cisph7 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare cisph8 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl4 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 3.251000>
  translate <0.000000 0.000000 -0.813000>
}

#declare cicyl5 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl6 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 2.438000>
}

object {
  union {
  intersection { cisph5 }
  intersection { cisph6 }
  intersection { cisph7 }
  intersection { cisph8 }
  intersection { cicyl4 }
  intersection { cicyl5 }
  intersection { cicyl6 }
  }
  bounded_by { intersection { cibnd1 } }
  scale <0.900000 0.900000 0.900000>
  rotate <-90.000000 -0.000000 -90.000000>
  translate <8.000000 0.170000 0.000000>
}

#declare cibnd2 = intersection {
  box { UnitBox 
  scale <0.300000 1.100000 2.000000>
  translate <0.000000 0.000000 0.813000>
  }
}

#declare cisph9 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 2.438000>
}

#declare cisph10 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 2.438000>
}

#declare cisph11 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare cisph12 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl7 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 3.251000>
  translate <0.000000 0.000000 -0.813000>
}

#declare cicyl8 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl9 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 2.438000>
}

object {
  union {
  intersection { cisph9 }
  intersection { cisph10 }
  intersection { cisph11 }
  intersection { cisph12 }
  intersection { cicyl7 }
  intersection { cicyl8 }
  intersection { cicyl9 }
  }
  bounded_by { intersection { cibnd2 } }
  scale <0.900000 0.900000 0.900000>
  rotate <-0.000000 -0.000000 -90.000000>
  translate <0.000000 0.170000 -9.500000>
}

#declare cibnd3 = intersection {
  box { UnitBox 
  scale <0.300000 1.100000 2.000000>
  translate <0.000000 0.000000 0.813000>
  }
}

#declare cisph13 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 2.438000>
}

#declare cisph14 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 2.438000>
}

#declare cisph15 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare cisph16 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl10 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 3.251000>
  translate <0.000000 0.000000 -0.813000>
}

#declare cicyl11 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl12 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 2.438000>
}

object {
  union {
  intersection { cisph13 }
  intersection { cisph14 }
  intersection { cisph15 }
  intersection { cisph16 }
  intersection { cicyl10 }
  intersection { cicyl11 }
  intersection { cicyl12 }
  }
  bounded_by { intersection { cibnd3 } }
  scale <0.900000 0.900000 0.900000>
  rotate <-90.000000 -0.000000 -90.000000>
  translate <-9.500000 0.170000 0.000000>
}

#declare cibnd4 = intersection {
  box { UnitBox 
  scale <0.300000 1.100000 2.000000>
  translate <0.000000 0.000000 0.813000>
  }
}

#declare cisph17 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 2.438000>
}

#declare cisph19 = intersection { 
  quadric { Sphere 
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare cicyl13 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 3.251000>
  translate <0.000000 0.000000 -0.813000>
}

#declare cicyl14 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cicyl15 = intersection {
  quadric { Cylinder_Z
  texture {
    SuperGold
  }
  }
  plane { <0 0 -1> 0
  texture {
    SuperGold
  }
  }
  plane { <0 0 +1> 1
  texture {
    SuperGold
  }
  }
  scale <0.187000 0.187000 1.625000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 2.438000>
}

object {
  union {
  intersection { cisph17 }
  intersection { cisph19 }
  intersection { cicyl13 }
  intersection { cicyl14 }
  intersection { cicyl15 }
  }
  bounded_by { intersection { cibnd4 } }
  scale <0.900000 0.900000 0.900000>
  rotate <-0.000000 -0.000000 -90.000000>
  translate <0.500000 0.170000 8.000000>
}

